//
//  MSDecorationPicker.h
//  DrawIt SVG
//
//  Created by Pieter Omvlee on 08-09-09.
//  Copyright 2009 Bohemian Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CHGeometryExtensions.h"

enum CHArrowPosition {
  CHArrowPositionNone   = 0,
  CHArrowPositionLeft   = 1,
  CHArrowPositionTop    = 2,
  CHArrowPositionRight  = 3,
  CHArrowPositionBottom = 4
};

#define kArrowSize 10
#define kCornerRadius 4

@interface CHRoundedArrowView : NSView
{
  NSInteger arrowPosition;
}
@property NSInteger arrowPosition;

- (NSBezierPath *)backgroundPath;

- (NSRect)availableContentRect;
- (NSPoint)arrowPoint;

- (BOOL)hasArrow;

@end
